using SQLite;
using System.Text.Json.Serialization;

namespace salesbook.Shared.Core.Entity;

[Table("ptb_pros_rif")]
public class PtbProsRif
{
    [Column("cod_ppro"), JsonPropertyName("codPpro"), Indexed(Name = "PtbProsRifPK", Order = 1, Unique = true)]
    public string CodPpro { get; set; }

    [Column("id_pers_rif"), JsonPropertyName("idPersRif"), Indexed(Name = "PtbProsRifPK", Order = 2, Unique = true)]
    public int IdPersRif { get; set; }

    [Column("persona_rif"), JsonPropertyName("personaRif")]
    public string PersonaRif { get; set; }

    [Column("e_mail"), JsonPropertyName("eMail")]
    public string EMail { get; set; }

    [Column("fax"), JsonPropertyName("fax")]
    public string Fax { get; set; }

    [Column("mansione"), JsonPropertyName("mansione")]
    public string Mansione { get; set; }

    [Column("num_cellulare"), JsonPropertyName("numCellulare")]
    public string NumCellulare { get; set; }

    [Column("telefono"), JsonPropertyName("telefono")]
    public string Telefono { get; set; }
}